aboutsummaryrefslogtreecommitdiff
path: root/libgo
diff options
context:
space:
mode:
authorIan Lance Taylor <ian@gcc.gnu.org>2012-10-24 19:00:44 +0000
committerIan Lance Taylor <ian@gcc.gnu.org>2012-10-24 19:00:44 +0000
commit1a6c552d12026ee85c819dfe6f2c83bc59aaa28f (patch)
tree7794abaf84d6272d3dd6cac42efff1b38479076f /libgo
parent9d294e36f9393a99c316dfca149759ed93e2bb68 (diff)
downloadgcc-1a6c552d12026ee85c819dfe6f2c83bc59aaa28f.zip
gcc-1a6c552d12026ee85c819dfe6f2c83bc59aaa28f.tar.gz
gcc-1a6c552d12026ee85c819dfe6f2c83bc59aaa28f.tar.bz2
mksysinfo: Define SIGPOLL and SIGCLD if necessary.
From-SVN: r192775
Diffstat (limited to 'libgo')
-rwxr-xr-xlibgo/mksysinfo.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/libgo/mksysinfo.sh b/libgo/mksysinfo.sh
index 315d60c..12e0310 100755
--- a/libgo/mksysinfo.sh
+++ b/libgo/mksysinfo.sh
@@ -225,6 +225,16 @@ done
grep '^const _SIG[^_]' gen-sysinfo.go | \
grep -v '^const _SIGEV_' | \
sed -e 's/^\(const \)_\(SIG[^= ]*\)\(.*\)$/\1\2 = Signal(_\2)/' >> ${OUT}
+if ! grep '^const SIGPOLL ' ${OUT} >/dev/null 2>&1; then
+ if grep '^const SIGIO ' ${OUT} > /dev/null 2>&1; then
+ echo "const SIGPOLL = SIGIO" >> ${OUT}
+ fi
+fi
+if ! grep '^const SIGCLD ' ${OUT} >/dev/null 2>&1; then
+ if grep '^const SIGCHLD ' ${OUT} >/dev/null 2>&1; then
+ echo "const SIGCLD = SIGCHLD" >> ${OUT}
+ fi
+fi
# The syscall numbers. We force the names to upper case.
grep '^const _SYS_' gen-sysinfo.go | \